3

I have a Civicrm installation that's been running for quite some time. I've never had an issue upgrading until now. I've been able to upgrade to 4.6.12, but then I try 4.7.0 or 4.7.1, all I get is "[]" on the progress screen. There's no error log generated. I'm running WordPress 4.4.2 with PHP 5.6.

1

There are a million reasons why this could be happening - you could look in your PHP logs (which, if you're running Apache with mod_php, will be in your Apache logs). you can also check your CiviCRM log in the ConfigAndLog directory.

I find that if an upgrade isn't working, I'll often have better luck with an upgrade from the command line. Unzip CiviCRM as you would normally, but instead of visiting the upgrade script page, run wp-cli civicrm upgrade-db. This presumes you have wp-cli with the CiviCRM extension installed, of course. I'll also get better error messages, in general.

Since you've got a failed upgrade, don't forget to roll back your database - and don't forgot to drop your database before you reload the backup, or you're likely to have more upgrade errors!

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.